<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>PS2 controller TRX: C:/Users/XW8400/Documents/ps2_ctrl_trx/lib/src/si4432.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">PS2 controller TRX
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('si4432_8c.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">si4432.c File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="si4432_8h_source.html">si4432.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="spi_8h_source.html">spi.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="timer_8h_source.html">timer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="delay_8h_source.html">delay.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ab1e8b43411233361862747c6c21ac6d0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#ab1e8b43411233361862747c6c21ac6d0">SI4432_NSEL_BM</a>&#160;&#160;&#160;(1 &lt;&lt; <a class="el" href="si4432_8h.html#a7ffcd2c65c2756c9e76a48ee3824624d">SI4432_NSEL_PIN</a>)</td></tr>
<tr class="memdesc:ab1e8b43411233361862747c6c21ac6d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bitmask for the nSEL pin.  <br /></td></tr>
<tr class="separator:ab1e8b43411233361862747c6c21ac6d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9800ce3295886f2947acdce83719ab3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#ad9800ce3295886f2947acdce83719ab3">SI4432_NIRQ_BM</a>&#160;&#160;&#160;(1 &lt;&lt; <a class="el" href="si4432_8h.html#a2ee5b851da136539a36d6359181eb043">SI4432_NIRQ_PIN</a>)</td></tr>
<tr class="memdesc:ad9800ce3295886f2947acdce83719ab3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bitmask for the nIRQ pin.  <br /></td></tr>
<tr class="separator:ad9800ce3295886f2947acdce83719ab3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24cce02e925b14dd7e2fcb5c23b2c309"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#a24cce02e925b14dd7e2fcb5c23b2c309">SI4432_SDN_BM</a>&#160;&#160;&#160;(1 &lt;&lt; <a class="el" href="si4432_8h.html#ae266b4e5de53b947f7f1e92149da4c17">SI4432_SDN_PIN</a>)</td></tr>
<tr class="memdesc:a24cce02e925b14dd7e2fcb5c23b2c309"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bitmask for the SDN pin.  <br /></td></tr>
<tr class="separator:a24cce02e925b14dd7e2fcb5c23b2c309"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bffbfe1c91751f15bd5dfe225fa65e2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#a4bffbfe1c91751f15bd5dfe225fa65e2">SI4432_SPI_SETUP</a>&#160;&#160;&#160;<a class="el" href="spi_8h.html#a00174198073dadbaaad7f9475360b228">SPI_DISABLE</a>; <a class="el" href="spi_8h.html#ac9d0bde2b42b2403d00b7a611514b006">SPI_MODE0</a>; <a class="el" href="spi_8h.html#ae77748f6ed40c1bc713dbe98e29df4ea">SPI_MSBFIRST</a>; <a class="el" href="_function___define_8h.html#a5b991ced984517c1e611c57d91e32a7e">SPICLK_DIV2</a>; <a class="el" href="spi_8h.html#a27537db92d0837cc77baa0d99b8cac48">SPI_ENABLE</a></td></tr>
<tr class="memdesc:a4bffbfe1c91751f15bd5dfe225fa65e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">(Re)configure the SPI bus for communication with the Si4432  <br /></td></tr>
<tr class="separator:a4bffbfe1c91751f15bd5dfe225fa65e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac56b8b4547d2b334db8eb3fc5ae2eb10"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#ac56b8b4547d2b334db8eb3fc5ae2eb10">SI4432_NSEL_LOW</a>&#160;&#160;&#160;<a class="el" href="si4432_8h.html#abcbb3dbb7c9a981dede1d3cbd3fb2c16">SI4432_NSEL_Px</a> &amp;= ~<a class="el" href="si4432_8c.html#ab1e8b43411233361862747c6c21ac6d0">SI4432_NSEL_BM</a></td></tr>
<tr class="memdesc:ac56b8b4547d2b334db8eb3fc5ae2eb10"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assert nSEL pin (by pulling it low)  <br /></td></tr>
<tr class="separator:ac56b8b4547d2b334db8eb3fc5ae2eb10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99a40bba10c9636153d67e17c89f6fbf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#a99a40bba10c9636153d67e17c89f6fbf">SI4432_NSEL_HIGH</a>&#160;&#160;&#160;<a class="el" href="si4432_8h.html#abcbb3dbb7c9a981dede1d3cbd3fb2c16">SI4432_NSEL_Px</a> |= <a class="el" href="si4432_8c.html#ab1e8b43411233361862747c6c21ac6d0">SI4432_NSEL_BM</a></td></tr>
<tr class="memdesc:a99a40bba10c9636153d67e17c89f6fbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Deassert the nSEL pin (by pulling it high)  <br /></td></tr>
<tr class="separator:a99a40bba10c9636153d67e17c89f6fbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21c86b73ca9ef9359930f778f74cd25e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#a21c86b73ca9ef9359930f778f74cd25e">SI4432_NIRQ_STATE</a>&#160;&#160;&#160;(<a class="el" href="si4432_8h.html#a0a224461398e29adff616d2a15f88ea2">SI4432_NIRQ_Px</a> &amp; <a class="el" href="si4432_8c.html#ad9800ce3295886f2947acdce83719ab3">SI4432_NIRQ_BM</a>)</td></tr>
<tr class="memdesc:a21c86b73ca9ef9359930f778f74cd25e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current state of the nIRQ pin.  <br /></td></tr>
<tr class="separator:a21c86b73ca9ef9359930f778f74cd25e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bb90b0c2f4b460b89e6032edcbe6cd2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#a3bb90b0c2f4b460b89e6032edcbe6cd2">SI4432_SET_READY</a>&#160;&#160;&#160;<a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#a78ad164a0084624af080a26449bb3904">SI4432_REG_OFCTL1</a>, <a class="el" href="si4432_8h.html#a51085e0c816cb6bf48afd2799404cbe9">SI4432_READY</a>)</td></tr>
<tr class="memdesc:a3bb90b0c2f4b460b89e6032edcbe6cd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Switch the Si4432 to READY mode.  <br /></td></tr>
<tr class="separator:a3bb90b0c2f4b460b89e6032edcbe6cd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52d1e9b8b196a486e2b95fe3279f936a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#a52d1e9b8b196a486e2b95fe3279f936a">SI4432_SET_TUNE</a>&#160;&#160;&#160;<a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#a78ad164a0084624af080a26449bb3904">SI4432_REG_OFCTL1</a>, <a class="el" href="si4432_8h.html#aaa3e89fa7860e982fa679746cde0dab0">SI4432_TUNE</a>)</td></tr>
<tr class="memdesc:a52d1e9b8b196a486e2b95fe3279f936a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Switch the Si4432 to TUNING mode.  <br /></td></tr>
<tr class="separator:a52d1e9b8b196a486e2b95fe3279f936a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38c095fa3abe9612d40a0720acc10423"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#a38c095fa3abe9612d40a0720acc10423">SI4432_SET_RX</a>&#160;&#160;&#160;<a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#a78ad164a0084624af080a26449bb3904">SI4432_REG_OFCTL1</a>, <a class="el" href="si4432_8h.html#a773818d4512aaf4028b56a3a246d74f2">SI4432_RX</a>)</td></tr>
<tr class="memdesc:a38c095fa3abe9612d40a0720acc10423"><td class="mdescLeft">&#160;</td><td class="mdescRight">Switch the Si4432 to RECEIVE mode.  <br /></td></tr>
<tr class="separator:a38c095fa3abe9612d40a0720acc10423"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a733fb99455a630fd64fecc118967dce8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#a733fb99455a630fd64fecc118967dce8">SI4432_SET_TX</a>&#160;&#160;&#160;<a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#a78ad164a0084624af080a26449bb3904">SI4432_REG_OFCTL1</a>, <a class="el" href="si4432_8h.html#a88f5ce1b920426128ac2df0dc9424439">SI4432_TX</a>)</td></tr>
<tr class="memdesc:a733fb99455a630fd64fecc118967dce8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Switch the Si4432 to TRANSMIT mode.  <br /></td></tr>
<tr class="separator:a733fb99455a630fd64fecc118967dce8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1c85e39d58931ca4ebfe6343bc44c9f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#af1c85e39d58931ca4ebfe6343bc44c9f">SI4432_IRQ_ACK</a>&#160;&#160;&#160;<a class="el" href="si4432_8h.html#ab1323fa9492d1024fe4e47c2e6095585">si4432_reg_read</a>(<a class="el" href="si4432_8h.html#a9cd1271189fd3274281567f2908b97bd">SI4432_REG_INTSTA1</a>); <a class="el" href="si4432_8h.html#ab1323fa9492d1024fe4e47c2e6095585">si4432_reg_read</a>(<a class="el" href="si4432_8h.html#a3f1f6135c0575ff34519140d09802f64">SI4432_REG_INTSTA2</a>)</td></tr>
<tr class="memdesc:af1c85e39d58931ca4ebfe6343bc44c9f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Acknowledge incoming interrupt from the chip, but discard interrupt information.  <br /></td></tr>
<tr class="separator:af1c85e39d58931ca4ebfe6343bc44c9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa866cc0b789cd998168065657773b05a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#aa866cc0b789cd998168065657773b05a">SI4432_CLEAR_TXFIFO</a>&#160;&#160;&#160;<a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#afb65d6664b13dfd155d4c78abe95d4c0">SI4432_REG_OFCTL2</a>, (1 &lt;&lt; 0)); <a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#afb65d6664b13dfd155d4c78abe95d4c0">SI4432_REG_OFCTL2</a>, 0)</td></tr>
<tr class="memdesc:aa866cc0b789cd998168065657773b05a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear the transmit FIFO.  <br /></td></tr>
<tr class="separator:aa866cc0b789cd998168065657773b05a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d07cea3ae12ec0733e4c1eab1fe3f3c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#a2d07cea3ae12ec0733e4c1eab1fe3f3c">SI4432_CLEAR_RXFIFO</a>&#160;&#160;&#160;<a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#afb65d6664b13dfd155d4c78abe95d4c0">SI4432_REG_OFCTL2</a>, (1 &lt;&lt; 1)); <a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#afb65d6664b13dfd155d4c78abe95d4c0">SI4432_REG_OFCTL2</a>, 0)</td></tr>
<tr class="memdesc:a2d07cea3ae12ec0733e4c1eab1fe3f3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear the receive FIFO.  <br /></td></tr>
<tr class="separator:a2d07cea3ae12ec0733e4c1eab1fe3f3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55103e2c1992f4c6dec31e350dadda05"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#a55103e2c1992f4c6dec31e350dadda05">SI4432_CLEAR_FIFO</a>&#160;&#160;&#160;<a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#afb65d6664b13dfd155d4c78abe95d4c0">SI4432_REG_OFCTL2</a>, (1 &lt;&lt; 0) | (1 &lt;&lt; 1)); <a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#afb65d6664b13dfd155d4c78abe95d4c0">SI4432_REG_OFCTL2</a>, 0)</td></tr>
<tr class="memdesc:a55103e2c1992f4c6dec31e350dadda05"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear both transmit and receive FIFOs.  <br /></td></tr>
<tr class="separator:a55103e2c1992f4c6dec31e350dadda05"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a2c445cd2e59e20b6dc61f9ebb72256ec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a> (unsigned char reg, unsigned char value)</td></tr>
<tr class="memdesc:a2c445cd2e59e20b6dc61f9ebb72256ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write to SI4432 register.  <br /></td></tr>
<tr class="separator:a2c445cd2e59e20b6dc61f9ebb72256ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1323fa9492d1024fe4e47c2e6095585"><td class="memItemLeft" align="right" valign="top">unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#ab1323fa9492d1024fe4e47c2e6095585">si4432_reg_read</a> (unsigned char reg)</td></tr>
<tr class="memdesc:ab1323fa9492d1024fe4e47c2e6095585"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read from SI4432 register.  <br /></td></tr>
<tr class="separator:ab1323fa9492d1024fe4e47c2e6095585"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af758dfafee8b11592f818d6c01d106dd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#af758dfafee8b11592f818d6c01d106dd">si4432_reg_write_burst</a> (unsigned char reg, unsigned char len, const unsigned char *value)</td></tr>
<tr class="memdesc:af758dfafee8b11592f818d6c01d106dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Burst write to SI4432 register.  <br /></td></tr>
<tr class="separator:af758dfafee8b11592f818d6c01d106dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a861c568b3911db787d85402a541146"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#a4a861c568b3911db787d85402a541146">si4432_reg_read_burst</a> (unsigned char reg, unsigned char len, unsigned char *value)</td></tr>
<tr class="memdesc:a4a861c568b3911db787d85402a541146"><td class="mdescLeft">&#160;</td><td class="mdescRight">Burst read from SI4432 register.  <br /></td></tr>
<tr class="separator:a4a861c568b3911db787d85402a541146"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeeb1067d97c2bcbf02d5002ae85e17af"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#aeeb1067d97c2bcbf02d5002ae85e17af">si4432_set_channel</a> (unsigned char channel)</td></tr>
<tr class="memdesc:aeeb1067d97c2bcbf02d5002ae85e17af"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Si4432 rx/tx channel.  <br /></td></tr>
<tr class="separator:aeeb1067d97c2bcbf02d5002ae85e17af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fd8046160c0eccd43c78338d544c0f3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#a8fd8046160c0eccd43c78338d544c0f3">si4432_hard_reset</a> (void)</td></tr>
<tr class="memdesc:a8fd8046160c0eccd43c78338d544c0f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hard reset Si4432.  <br /></td></tr>
<tr class="separator:a8fd8046160c0eccd43c78338d544c0f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46c2b35a7eb4d587aff07823671d69a2"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#a46c2b35a7eb4d587aff07823671d69a2">si4432_send_pkt</a> (const unsigned char *packet, unsigned char length)</td></tr>
<tr class="memdesc:a46c2b35a7eb4d587aff07823671d69a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send packet.  <br /></td></tr>
<tr class="separator:a46c2b35a7eb4d587aff07823671d69a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cdf80d09100eb86e64510c63df4e60b"><td class="memItemLeft" align="right" valign="top">unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#a8cdf80d09100eb86e64510c63df4e60b">si4432_read_pkt</a> (unsigned char *packet)</td></tr>
<tr class="memdesc:a8cdf80d09100eb86e64510c63df4e60b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read packet.  <br /></td></tr>
<tr class="separator:a8cdf80d09100eb86e64510c63df4e60b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93f838a4d36d9e56df1222ce75f9b2ad"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#a93f838a4d36d9e56df1222ce75f9b2ad">si4432_start_rx</a> (void)</td></tr>
<tr class="memdesc:a93f838a4d36d9e56df1222ce75f9b2ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start receiving data.  <br /></td></tr>
<tr class="separator:a93f838a4d36d9e56df1222ce75f9b2ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dcb1c7a66292552e74b4f8bd4e2a5b2"><td class="memItemLeft" align="right" valign="top">unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#a0dcb1c7a66292552e74b4f8bd4e2a5b2">si4432_rx_status</a> (void)</td></tr>
<tr class="memdesc:a0dcb1c7a66292552e74b4f8bd4e2a5b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns rx status.  <br /></td></tr>
<tr class="separator:a0dcb1c7a66292552e74b4f8bd4e2a5b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91d78484d11b3e8063864a55e5535f8b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#a91d78484d11b3e8063864a55e5535f8b">si4432_wait_rx</a> (void)</td></tr>
<tr class="memdesc:a91d78484d11b3e8063864a55e5535f8b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait until a valid packet has been completely received.  <br /></td></tr>
<tr class="separator:a91d78484d11b3e8063864a55e5535f8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbb7afb96a5a2bd419f13eb3708f1d81"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="si4432_8c.html#adbb7afb96a5a2bd419f13eb3708f1d81">si4432_init</a> (void)</td></tr>
<tr class="memdesc:adbb7afb96a5a2bd419f13eb3708f1d81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize Si4432.  <br /></td></tr>
<tr class="separator:adbb7afb96a5a2bd419f13eb3708f1d81"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a55103e2c1992f4c6dec31e350dadda05" name="a55103e2c1992f4c6dec31e350dadda05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55103e2c1992f4c6dec31e350dadda05">&#9670;&#160;</a></span>SI4432_CLEAR_FIFO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SI4432_CLEAR_FIFO&#160;&#160;&#160;<a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#afb65d6664b13dfd155d4c78abe95d4c0">SI4432_REG_OFCTL2</a>, (1 &lt;&lt; 0) | (1 &lt;&lt; 1)); <a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#afb65d6664b13dfd155d4c78abe95d4c0">SI4432_REG_OFCTL2</a>, 0)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear both transmit and receive FIFOs. </p>

</div>
</div>
<a id="a2d07cea3ae12ec0733e4c1eab1fe3f3c" name="a2d07cea3ae12ec0733e4c1eab1fe3f3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d07cea3ae12ec0733e4c1eab1fe3f3c">&#9670;&#160;</a></span>SI4432_CLEAR_RXFIFO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SI4432_CLEAR_RXFIFO&#160;&#160;&#160;<a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#afb65d6664b13dfd155d4c78abe95d4c0">SI4432_REG_OFCTL2</a>, (1 &lt;&lt; 1)); <a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#afb65d6664b13dfd155d4c78abe95d4c0">SI4432_REG_OFCTL2</a>, 0)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear the receive FIFO. </p>

</div>
</div>
<a id="aa866cc0b789cd998168065657773b05a" name="aa866cc0b789cd998168065657773b05a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa866cc0b789cd998168065657773b05a">&#9670;&#160;</a></span>SI4432_CLEAR_TXFIFO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SI4432_CLEAR_TXFIFO&#160;&#160;&#160;<a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#afb65d6664b13dfd155d4c78abe95d4c0">SI4432_REG_OFCTL2</a>, (1 &lt;&lt; 0)); <a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#afb65d6664b13dfd155d4c78abe95d4c0">SI4432_REG_OFCTL2</a>, 0)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear the transmit FIFO. </p>

</div>
</div>
<a id="af1c85e39d58931ca4ebfe6343bc44c9f" name="af1c85e39d58931ca4ebfe6343bc44c9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1c85e39d58931ca4ebfe6343bc44c9f">&#9670;&#160;</a></span>SI4432_IRQ_ACK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SI4432_IRQ_ACK&#160;&#160;&#160;<a class="el" href="si4432_8h.html#ab1323fa9492d1024fe4e47c2e6095585">si4432_reg_read</a>(<a class="el" href="si4432_8h.html#a9cd1271189fd3274281567f2908b97bd">SI4432_REG_INTSTA1</a>); <a class="el" href="si4432_8h.html#ab1323fa9492d1024fe4e47c2e6095585">si4432_reg_read</a>(<a class="el" href="si4432_8h.html#a3f1f6135c0575ff34519140d09802f64">SI4432_REG_INTSTA2</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Acknowledge incoming interrupt from the chip, but discard interrupt information. </p>

</div>
</div>
<a id="ad9800ce3295886f2947acdce83719ab3" name="ad9800ce3295886f2947acdce83719ab3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9800ce3295886f2947acdce83719ab3">&#9670;&#160;</a></span>SI4432_NIRQ_BM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SI4432_NIRQ_BM&#160;&#160;&#160;(1 &lt;&lt; <a class="el" href="si4432_8h.html#a2ee5b851da136539a36d6359181eb043">SI4432_NIRQ_PIN</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Bitmask for the nIRQ pin. </p>

</div>
</div>
<a id="a21c86b73ca9ef9359930f778f74cd25e" name="a21c86b73ca9ef9359930f778f74cd25e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21c86b73ca9ef9359930f778f74cd25e">&#9670;&#160;</a></span>SI4432_NIRQ_STATE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SI4432_NIRQ_STATE&#160;&#160;&#160;(<a class="el" href="si4432_8h.html#a0a224461398e29adff616d2a15f88ea2">SI4432_NIRQ_Px</a> &amp; <a class="el" href="si4432_8c.html#ad9800ce3295886f2947acdce83719ab3">SI4432_NIRQ_BM</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the current state of the nIRQ pin. </p>
<dl class="section return"><dt>Returns</dt><dd>0 if the pin is low, a non-zero value otherwise </dd></dl>

</div>
</div>
<a id="ab1e8b43411233361862747c6c21ac6d0" name="ab1e8b43411233361862747c6c21ac6d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1e8b43411233361862747c6c21ac6d0">&#9670;&#160;</a></span>SI4432_NSEL_BM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SI4432_NSEL_BM&#160;&#160;&#160;(1 &lt;&lt; <a class="el" href="si4432_8h.html#a7ffcd2c65c2756c9e76a48ee3824624d">SI4432_NSEL_PIN</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Bitmask for the nSEL pin. </p>

</div>
</div>
<a id="a99a40bba10c9636153d67e17c89f6fbf" name="a99a40bba10c9636153d67e17c89f6fbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99a40bba10c9636153d67e17c89f6fbf">&#9670;&#160;</a></span>SI4432_NSEL_HIGH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SI4432_NSEL_HIGH&#160;&#160;&#160;<a class="el" href="si4432_8h.html#abcbb3dbb7c9a981dede1d3cbd3fb2c16">SI4432_NSEL_Px</a> |= <a class="el" href="si4432_8c.html#ab1e8b43411233361862747c6c21ac6d0">SI4432_NSEL_BM</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Deassert the nSEL pin (by pulling it high) </p>

</div>
</div>
<a id="ac56b8b4547d2b334db8eb3fc5ae2eb10" name="ac56b8b4547d2b334db8eb3fc5ae2eb10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac56b8b4547d2b334db8eb3fc5ae2eb10">&#9670;&#160;</a></span>SI4432_NSEL_LOW</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SI4432_NSEL_LOW&#160;&#160;&#160;<a class="el" href="si4432_8h.html#abcbb3dbb7c9a981dede1d3cbd3fb2c16">SI4432_NSEL_Px</a> &amp;= ~<a class="el" href="si4432_8c.html#ab1e8b43411233361862747c6c21ac6d0">SI4432_NSEL_BM</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Assert nSEL pin (by pulling it low) </p>

</div>
</div>
<a id="a24cce02e925b14dd7e2fcb5c23b2c309" name="a24cce02e925b14dd7e2fcb5c23b2c309"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24cce02e925b14dd7e2fcb5c23b2c309">&#9670;&#160;</a></span>SI4432_SDN_BM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SI4432_SDN_BM&#160;&#160;&#160;(1 &lt;&lt; <a class="el" href="si4432_8h.html#ae266b4e5de53b947f7f1e92149da4c17">SI4432_SDN_PIN</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Bitmask for the SDN pin. </p>

</div>
</div>
<a id="a3bb90b0c2f4b460b89e6032edcbe6cd2" name="a3bb90b0c2f4b460b89e6032edcbe6cd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bb90b0c2f4b460b89e6032edcbe6cd2">&#9670;&#160;</a></span>SI4432_SET_READY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SI4432_SET_READY&#160;&#160;&#160;<a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#a78ad164a0084624af080a26449bb3904">SI4432_REG_OFCTL1</a>, <a class="el" href="si4432_8h.html#a51085e0c816cb6bf48afd2799404cbe9">SI4432_READY</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Switch the Si4432 to READY mode. </p>

</div>
</div>
<a id="a38c095fa3abe9612d40a0720acc10423" name="a38c095fa3abe9612d40a0720acc10423"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38c095fa3abe9612d40a0720acc10423">&#9670;&#160;</a></span>SI4432_SET_RX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SI4432_SET_RX&#160;&#160;&#160;<a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#a78ad164a0084624af080a26449bb3904">SI4432_REG_OFCTL1</a>, <a class="el" href="si4432_8h.html#a773818d4512aaf4028b56a3a246d74f2">SI4432_RX</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Switch the Si4432 to RECEIVE mode. </p>

</div>
</div>
<a id="a52d1e9b8b196a486e2b95fe3279f936a" name="a52d1e9b8b196a486e2b95fe3279f936a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52d1e9b8b196a486e2b95fe3279f936a">&#9670;&#160;</a></span>SI4432_SET_TUNE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SI4432_SET_TUNE&#160;&#160;&#160;<a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#a78ad164a0084624af080a26449bb3904">SI4432_REG_OFCTL1</a>, <a class="el" href="si4432_8h.html#aaa3e89fa7860e982fa679746cde0dab0">SI4432_TUNE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Switch the Si4432 to TUNING mode. </p>

</div>
</div>
<a id="a733fb99455a630fd64fecc118967dce8" name="a733fb99455a630fd64fecc118967dce8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a733fb99455a630fd64fecc118967dce8">&#9670;&#160;</a></span>SI4432_SET_TX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SI4432_SET_TX&#160;&#160;&#160;<a class="el" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<a class="el" href="si4432_8h.html#a78ad164a0084624af080a26449bb3904">SI4432_REG_OFCTL1</a>, <a class="el" href="si4432_8h.html#a88f5ce1b920426128ac2df0dc9424439">SI4432_TX</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Switch the Si4432 to TRANSMIT mode. </p>

</div>
</div>
<a id="a4bffbfe1c91751f15bd5dfe225fa65e2" name="a4bffbfe1c91751f15bd5dfe225fa65e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bffbfe1c91751f15bd5dfe225fa65e2">&#9670;&#160;</a></span>SI4432_SPI_SETUP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SI4432_SPI_SETUP&#160;&#160;&#160;<a class="el" href="spi_8h.html#a00174198073dadbaaad7f9475360b228">SPI_DISABLE</a>; <a class="el" href="spi_8h.html#ac9d0bde2b42b2403d00b7a611514b006">SPI_MODE0</a>; <a class="el" href="spi_8h.html#ae77748f6ed40c1bc713dbe98e29df4ea">SPI_MSBFIRST</a>; <a class="el" href="_function___define_8h.html#a5b991ced984517c1e611c57d91e32a7e">SPICLK_DIV2</a>; <a class="el" href="spi_8h.html#a27537db92d0837cc77baa0d99b8cac48">SPI_ENABLE</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>(Re)configure the SPI bus for communication with the Si4432 </p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a8fd8046160c0eccd43c78338d544c0f3" name="a8fd8046160c0eccd43c78338d544c0f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fd8046160c0eccd43c78338d544c0f3">&#9670;&#160;</a></span>si4432_hard_reset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void si4432_hard_reset </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Hard reset Si4432. </p>

</div>
</div>
<a id="adbb7afb96a5a2bd419f13eb3708f1d81" name="adbb7afb96a5a2bd419f13eb3708f1d81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbb7afb96a5a2bd419f13eb3708f1d81">&#9670;&#160;</a></span>si4432_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char si4432_init </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize Si4432. </p>

</div>
</div>
<a id="a8cdf80d09100eb86e64510c63df4e60b" name="a8cdf80d09100eb86e64510c63df4e60b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cdf80d09100eb86e64510c63df4e60b">&#9670;&#160;</a></span>si4432_read_pkt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char si4432_read_pkt </td>
          <td>(</td>
          <td class="paramtype">unsigned char *&#160;</td>
          <td class="paramname"><em>packet</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read packet. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">packet</td><td>Pointer to the array to be written to </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Return length of packet </dd></dl>

</div>
</div>
<a id="ab1323fa9492d1024fe4e47c2e6095585" name="ab1323fa9492d1024fe4e47c2e6095585"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1323fa9492d1024fe4e47c2e6095585">&#9670;&#160;</a></span>si4432_reg_read()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char si4432_reg_read </td>
          <td>(</td>
          <td class="paramtype">unsigned char&#160;</td>
          <td class="paramname"><em>reg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read from SI4432 register. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">reg</td><td>Register to read from </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Value from read register </dd></dl>

</div>
</div>
<a id="a4a861c568b3911db787d85402a541146" name="a4a861c568b3911db787d85402a541146"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a861c568b3911db787d85402a541146">&#9670;&#160;</a></span>si4432_reg_read_burst()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void si4432_reg_read_burst </td>
          <td>(</td>
          <td class="paramtype">unsigned char&#160;</td>
          <td class="paramname"><em>reg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned char&#160;</td>
          <td class="paramname"><em>len</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned char *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Burst read from SI4432 register. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">reg</td><td>Register to read from </td></tr>
    <tr><td class="paramname">value</td><td>Pointer to the array to be written to </td></tr>
    <tr><td class="paramname">len</td><td>Length of data to be read in bytes </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2c445cd2e59e20b6dc61f9ebb72256ec" name="a2c445cd2e59e20b6dc61f9ebb72256ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c445cd2e59e20b6dc61f9ebb72256ec">&#9670;&#160;</a></span>si4432_reg_write()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void si4432_reg_write </td>
          <td>(</td>
          <td class="paramtype">unsigned char&#160;</td>
          <td class="paramname"><em>reg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned char&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Write to SI4432 register. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">reg</td><td>Register to write to </td></tr>
    <tr><td class="paramname">value</td><td>Value to write to register </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af758dfafee8b11592f818d6c01d106dd" name="af758dfafee8b11592f818d6c01d106dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af758dfafee8b11592f818d6c01d106dd">&#9670;&#160;</a></span>si4432_reg_write_burst()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void si4432_reg_write_burst </td>
          <td>(</td>
          <td class="paramtype">unsigned char&#160;</td>
          <td class="paramname"><em>reg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned char&#160;</td>
          <td class="paramname"><em>len</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const unsigned char *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Burst write to SI4432 register. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">reg</td><td>Register to write to </td></tr>
    <tr><td class="paramname">value</td><td>Value to write to register </td></tr>
    <tr><td class="paramname">len</td><td>Length of data to be read in bytes </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0dcb1c7a66292552e74b4f8bd4e2a5b2" name="a0dcb1c7a66292552e74b4f8bd4e2a5b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0dcb1c7a66292552e74b4f8bd4e2a5b2">&#9670;&#160;</a></span>si4432_rx_status()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char si4432_rx_status </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns rx status. </p>
<dl class="section return"><dt>Returns</dt><dd>Return 0 if no packets have been received, 1 if a valid packet was received, 2 if an invalid packet (discarded by the library) was received </dd></dl>

</div>
</div>
<a id="a46c2b35a7eb4d587aff07823671d69a2" name="a46c2b35a7eb4d587aff07823671d69a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46c2b35a7eb4d587aff07823671d69a2">&#9670;&#160;</a></span>si4432_send_pkt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char si4432_send_pkt </td>
          <td>(</td>
          <td class="paramtype">const unsigned char *&#160;</td>
          <td class="paramname"><em>packet</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned char&#160;</td>
          <td class="paramname"><em>length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send packet. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">packet</td><td>Data to send </td></tr>
    <tr><td class="paramname">length</td><td>Length of data in bytes </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Returns 0 if transmission is sucessful, else return -1 </dd></dl>

</div>
</div>
<a id="aeeb1067d97c2bcbf02d5002ae85e17af" name="aeeb1067d97c2bcbf02d5002ae85e17af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeeb1067d97c2bcbf02d5002ae85e17af">&#9670;&#160;</a></span>si4432_set_channel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void si4432_set_channel </td>
          <td>(</td>
          <td class="paramtype">unsigned char&#160;</td>
          <td class="paramname"><em>channel</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set Si4432 rx/tx channel. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">channel</td><td>The channel to be used by the Si4432 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a93f838a4d36d9e56df1222ce75f9b2ad" name="a93f838a4d36d9e56df1222ce75f9b2ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93f838a4d36d9e56df1222ce75f9b2ad">&#9670;&#160;</a></span>si4432_start_rx()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void si4432_start_rx </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Start receiving data. </p>

</div>
</div>
<a id="a91d78484d11b3e8063864a55e5535f8b" name="a91d78484d11b3e8063864a55e5535f8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91d78484d11b3e8063864a55e5535f8b">&#9670;&#160;</a></span>si4432_wait_rx()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void si4432_wait_rx </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Wait until a valid packet has been completely received. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_b116ddd94a245d490f1483cfe96d55a6.html">ps2_ctrl_trx</a></li><li class="navelem"><a class="el" href="dir_1a84bb234c89b52eac6ccacceb8c95a3.html">lib</a></li><li class="navelem"><a class="el" href="dir_5eaeabca49434b85d2268f40b691c39f.html">src</a></li><li class="navelem"><a class="el" href="si4432_8c.html">si4432.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6 </li>
  </ul>
</div>
</body>
</html>
